﻿'=========================================================================================================
' Module:       ConfigForm
' Date:         16/10/2011
' Revised:      16/10/2011
' Author:       Tyron Harford (original http://channel9.msdn.com/coding4fun/articles/Photo-Screensaver)
'=========================================================================================================
Imports System
Imports System.ComponentModel
Imports System.Drawing
Imports System.Windows.Forms

Namespace Forms
    '''===================================================================================================
    ''' <summary>
    ''' Form used to select the display to use when starting as an EXE.
    ''' </summary>
    '''===================================================================================================
    Partial Public Class ScreenSelectorForm
        Inherits Form
        Private _SelectedScreen As Screen = Nothing

        '''===============================================================================================
        ''' <summary>
        ''' Gets or sets the screen to demo on.
        ''' </summary>
        '''===============================================================================================
        Public Property SelectedScreen() As Screen
            Get
                Return Me._SelectedScreen
            End Get
            Set(ByVal value As Screen)
                Me._SelectedScreen = value
            End Set
        End Property
        '''===============================================================================================
        ''' <summary>
        ''' Default constructor.
        ''' </summary>
        '''===============================================================================================
        Public Sub New()
            Me.InitializeComponent()
        End Sub
        '''===============================================================================================
        ''' <summary>
        ''' Don't save any changes, get outta here.
        ''' </summary>
        '''===============================================================================================
        Private Sub btnCancel_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnCancel.Click
            MyBase.Close()
        End Sub
        '''===============================================================================================
        ''' <summary>
        ''' Save the selected screen.
        ''' </summary>
        '''===============================================================================================
        Private Sub btnThisOne_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnThisOne.Click
            Me._SelectedScreen = Screen.FromControl(Me)
            MyBase.Close()
        End Sub
    End Class
End Namespace

