﻿'=========================================================================================================
' Module:       DisplayItem
' Date:         16/10/2011
' Revised:      16/10/2011
' Author:       Tyron Harford
'=========================================================================================================
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace Models
    '''===================================================================================================
    ''' <summary>
    ''' Represents a piece of information displayed at top right.
    ''' </summary>
    '''===================================================================================================
    Friend Class DisplayItem
        Private _TopText As String
        Private _BottomText As String
        Private _Day As Integer = 0
        Private _Month As Integer = 0
        Private _Year As Integer = 0
        '''===============================================================================================
        ''' <summary>
        ''' Constructor.
        ''' </summary>
        '''===============================================================================================
        Public Sub New()
            Me._TopText = String.Empty
            Me._BottomText = String.Empty
        End Sub
        '''===============================================================================================
        ''' <summary>
        ''' Gets or sets the top text displayed.
        ''' </summary>
        '''===============================================================================================
        Public Property TopText() As String
            Get
                Return Me._TopText
            End Get
            Set(ByVal value As String)
                Me._TopText = value
            End Set
        End Property
        '''===============================================================================================
        ''' <summary>
        ''' Gets or sets the bottom text displayed.
        ''' </summary>
        '''===============================================================================================
        Public Property BottomText() As String
            Get
                Return Me._BottomText
            End Get
            Set(ByVal value As String)
                Me._BottomText = value
            End Set
        End Property
        '''===============================================================================================
        ''' <summary>
        ''' Gets or sets the day of the item (used in events).
        ''' </summary>
        '''===============================================================================================
        Public Property Day() As Integer
            Get
                Return Me._Day
            End Get
            Set(ByVal value As Integer)
                Me._Day = value
            End Set
        End Property
        '''===============================================================================================
        ''' <summary>
        ''' Gets or sets the month of the item (used in events).
        ''' </summary>
        '''===============================================================================================
        Public Property Month() As Integer
            Get
                Return Me._Month
            End Get
            Set(ByVal value As Integer)
                Me._Month = value
            End Set
        End Property
        '''===============================================================================================
        ''' <summary>
        ''' Gets or sets the year of the item (used in events).
        ''' </summary>
        '''===============================================================================================
        Public Property Year() As Integer
            Get
                Return Me._Year
            End Get
            Set(ByVal value As Integer)
                Me._Year = value
            End Set
        End Property
    End Class
End Namespace
